package com.cidat.proclets;

public class ThrowExceptionProclet implements Proclet {
	boolean hard;
	String name = null;
	String value = null;

	public ThrowExceptionProclet(boolean aHard) {
		this.hard = aHard;
	}

	public ThrowExceptionProclet(boolean aHard, String aName, String aValue) {
		this.hard = this.hard;
		this.name = aName;
		this.value = aValue;
	}

	public void process(ProcletServiceData sd) throws ProcletException {
		if (this.name != null) {
			sd.setVal(this.name, sd.evalExpr(this.value));
		}
		ProcletException e = this.hard ? new ProcletException(sd)
				: new ProcletException(sd, null, null);
		throw e;
	}
}

/*
 * Location:
 * D:\svn\ejie\q53.trunk\codigo\q53\q53ItourbaskWar\WebContent\WEB-INF\
 * lib\proclets_wl81.jar Qualified Name:
 * com.cidat.proclets.ThrowExceptionProclet JD-Core Version: 0.6.0
 */